Subject: Re: linux-next: build failure after merge of the driver-core tree

From: Jean Delvare <[email-masked]>
Date: Wed, 28 May 2014 11:30:02 +0200

Hi Stephen, Greg,

Le Wednesday 28 May 2014 à 18:03 +1000, Stephen Rothwell a écrit :
> Hi Greg,
> 
> After merging the driver-core tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> drivers/crypto/nx/nx-842.c: In function 'nx842_probe':
> drivers/crypto/nx/nx-842.c:1200:6: error: void value not ignored as it ought to be
>   if (dev_set_drvdata(&viodev->dev, rcu_dereference(devdata))) {
>       ^
> 
> Caused by commit 2c1f1ff0f0d9 ("driver core: dev_set_drvdata returns
> void").  Grep is better than hope :-)

Oops, that would be my fault, sorry. I did grep for such cases but my
grep command must have been poor, I only caught 2 of the 3 cases in the
kernel tree. And make allmodconfig didn't help as the driver is
ppc64-specific.

I'll send a fix-up patch immediately, sorry for the trouble.

-- 
Jean Delvare
SUSE L3 Support